/*
writestream: Setup the SRAM in sequential write mode starting from the passed address.
             Bytes can then be written one byte at a time using RWdata(byte data).
			 Each byte is stored in the next location and it wraps around 32767.

readstream:  Setup the SRAM in sequential read mode starting from the passed address.
             Bytes can then be read one byte at a time using  byte RWdata(0).The passed data is irrelavent.
			 Each byte is read from the next location and it wraps around 32767.

RWdata:      Write or read a byte at any time from the SRAM.
             If the writesteam is open the passed byte will be written to the current address.
			 If the readstream is open the byte from the current address will be returned.

closeRWstream: Use to close the  open read or write stream.
               Dont need when changing between read/write.
			   Close before using SPI somewhere else.

digital pin 13    SCK
digital pin 12    MISO
digital pin 11    MOSI
digital pin 10    SS
*/
#ifndef SRAM_h
#define SRAM_h

#define setupSPI SPCR = 0x51 //Master mode, MSB first, SCK phase low, SCK idle low, clock/4
#define setupDDRB DDRB |= 0x2c  //set  SCK(13) MOSI(11) and SS as output 
#define selectSS PORTB &= ~0x04  //set the SS to 0 to select 
#define deselectSS PORTB |= 0x04  //set the SS to 1 to deselect 



#include "WProgram.h"

class SRAMclass
{
public:

SRAMclass();  //the constructor
void writestream(long address);
void readstream(long address);
void closeRWstream(void);
byte RWdata(byte data);

};//end of class SRAMclass

 extern SRAMclass SRAM;

#endif
